DeepFellow DOCS

Delete project API key

DELETE
/v1/organization/projects/{project_id}/api_keys/{key_id}

Delete an API key from the project.

Authorization

headerAuthorizationBearer <token>

Path Parameters

key_id*string

The ID of the API key.

Match^[0-9a-fA-F]{24}$
project_id*string

The ID of the project.

Match^[0-9a-fA-F]{24}$

Header Parameters

OpenAI-Organization?|

Organization Id from OpenAi compatible endpoint. Required to organization access or project access (with OpenAI-Project header) when logged as User or Admin User.

Response Body

Successful Response

application/json
  1. response
id*string

A 24-character hexadecimal MongoDB ObjectId string.

Match^[0-9a-fA-F]{24}$
object*string
deleted*boolean
Example Request
curl -X DELETE 'https://deepfellow-server-host/v1/organization/projects/5eb7cf5a86d9755df3a6c593/api_keys/5eb7cf5a86d9755df3a6c593'
Example Response
{  "id": "5eb7cf5a86d9755df3a6c593",  "object": "organization.project.api_key.deleted",  "deleted": true}

We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.